use uwui_dsl::NativeComponent;

use crate::backend::Backend;
use crate::view::Construct;

#[derive(NativeComponent)]
pub struct Button {
    params: ButtonParams,
}

#[derive(Default)]
pub struct ButtonParams {
    pub label: String,
}

impl Construct for Button {
    type Params = ButtonParams;

    fn construct(params: Self::Params) -> Self {
        Self { params }
    }
}
